Page MenuHomePhabricator

Change default numerals from Gurmukhi to Arabic for Punjabi locale
Closed, ResolvedPublic

Event Timeline

satdeep_gill raised the priority of this task from to Needs Triage.
satdeep_gill updated the task description. (Show Details)
satdeep_gill added a project: Language-Team.
satdeep_gill added a subscriber: satdeep_gill.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2015, 2:32 AM
Nikerabbit added a subscriber: Nikerabbit.

Are you asking a config change for Punjabi Wikipedia or global change for all Punjabi language?

Nikerabbit triaged this task as Medium priority.Sep 25 2015, 7:01 AM

For Punjabi language on all projects.

Nemo_bis renamed this task from Change Default Numerals from Gurmukhi To Arabic on Punjabi Wikipedia(pa.wikipedia.org) to Change default numerals from Gurmukhi to Arabic for Punjabi locale.Sep 25 2015, 7:11 PM
Nemo_bis set Security to None.
satdeep_gill raised the priority of this task from Medium to High.Oct 26 2015, 2:34 AM

I am waiting for somebody to fix this or maybe just tell me how i can do this?

I was told that this is a pretty simple thing to do. We just need to change one line in the code.

Change 251710 had a related patch set uploaded (by Nemo bis):
Use Arabic numerals in Punjabi (pa) locale

https://gerrit.wikimedia.org/r/251710

This change is a bit drastic, all MediaWiki wikis will be forced to use arabic numerals for Punjabi. The alternative would be to set $wgTranslateNumerals to false on all Punjabi projects but then the experience of Punjabi user interface on other wikis might be inconsistent and concretely speaking there is no known non-Wikimedia Punjabi wiki. https://wikiapiary.com/wiki/Category:Punjabi

Change 251710 merged by jenkins-bot:
Use Arabic numerals in Punjabi (pa) locale

https://gerrit.wikimedia.org/r/251710

Nemo_bis closed this task as Resolved.Nov 7 2015, 4:07 PM
Nemo_bis claimed this task.
Nemo_bis removed a project: Language-Team.